Skip to main content

Account Credential

View as Markdown

Credentials object

credentials_idstringuuid

<Databricks> credential configuration ID.

account_idstringuuid

The <Databricks> account ID that hosts the credential.

aws_credentialsobject
Show child attributesHide child attributes
sts_roleobject
Show child attributesHide child attributes
role_arnstring

The Amazon Resource Name (ARN) of the cross account IAM role.

Example: arn:aws:iam::111110000000:role/test_role

credentials_namestring[ 4 .. 256 ] characters

The human-readable name of the credential configuration object.

Example: credential_1

creation_timeint64

Time in epoch milliseconds when the credential was created.

Get credential configuration GA

GET /api/2.0/accounts/{account_id}/credentials/{credentials_id}

Gets a <Databricks> credential configuration object for an account, both specified by ID.

API scopes: unity-catalog

CloudsAWS

Parameters

account_idstringRequiredpath
credentials_idstringuuidRequiredpath

Credential configuration ID

Response

Returns the Credentials object.

List credential configuration GA

GET /api/2.0/accounts/{account_id}/credentials

List <Databricks> credential configuration objects for an account, specified by ID.

API scopes: unity-catalog

CloudsAWS

Parameters

account_idstringRequiredpath

Response

Returns a list of Credentials objects.

Create credential configuration GA

POST /api/2.0/accounts/{account_id}/credentials

Creates a <Databricks> credential configuration that represents cloud cross-account credentials for a specified account. <Databricks> uses this to set up network infrastructure properly to host <Databricks> clusters. For your AWS IAM role, you need to trust the External ID (the Databricks Account API account ID) in the returned credential object, and configure the required access policy.

Save the response's credentials_id field, which is the ID for your new credential configuration object.

For information about how to create a new workspace with this API, see Create a new workspace using the Account API

API scopes: unity-catalog

CloudsAWS

Parameters

account_idstringRequiredpath

Request body

credentials_namestring[ 4 .. 256 ] charactersRequired

The human-readable name of the credential configuration object.

Example: my_credential

aws_credentialsobjectRequired
Show child attributesHide child attributes
sts_roleobject
Show child attributesHide child attributes
role_arnstring

The Amazon Resource Name (ARN) of the cross account IAM role.

Example: arn:aws:iam::111110000000:role/test_role

Response

Returns the Credentials object.

Delete credential configuration GA

DELETE /api/2.0/accounts/{account_id}/credentials/{credentials_id}

Deletes a <Databricks> credential configuration object for an account, both specified by ID. You cannot delete a credential that is associated with any workspace.

API scopes: unity-catalog

CloudsAWS

Parameters

account_idstringRequiredpath
credentials_idstringuuidRequiredpath

Databricks Account API credential configuration ID

Response

Returns the Credentials object.